### Hierarchy

- SelectorMatcher

## Index

### Constructors

- constructor

### Properties

- clauses
- logger

### Methods

- test
- all
- cmp
- equal
- in
- matches
- matches_plus

## Constructors

### constructor

- new SelectorMatcher(selector: any): SelectorMatcher

- - Defined in selector/SelectorMatcher.ts:7

  #### Parameters

  - ##### selector: any

  #### Returns SelectorMatcher

## Properties

### clauses

clauses: any

- Defined in selector/SelectorMatcher.ts:7

### Protected logger

logger: JSWLogger

- Defined in selector/SelectorMatcher.ts:5

## Methods

### test

- test(document: any): boolean

- - Defined in selector/SelectorMatcher.ts:15

  #### Parameters

  - ##### document: any

  #### Returns boolean

### Static all

- all(array: any, value: any): boolean

- - Defined in selector/SelectorMatcher.ts:69

  #### Parameters

  - ##### array: any

  - ##### value: any

  #### Returns boolean

### Static cmp

- cmp(a: any, b: any): any

- - Defined in selector/SelectorMatcher.ts:226

  #### Parameters

  - ##### a: any

  - ##### b: any

  #### Returns any

### Static equal

- equal(array: any, qval: any): boolean

- - Defined in selector/SelectorMatcher.ts:125

  #### Parameters

  - ##### array: any

  - ##### qval: any

  #### Returns boolean

### Static in

- in(array: any, value: any): boolean

- - Defined in selector/SelectorMatcher.ts:102

  #### Parameters

  - ##### array: any

  - ##### value: any

  #### Returns boolean

### Static matches

- matches(value: any, func: any): any

- - Defined in selector/SelectorMatcher.ts:192

  #### Parameters

  - ##### value: any

  - ##### func: any

  #### Returns any

### Static matches_plus

- matches_plus(value: any, func: any): any

- - Defined in selector/SelectorMatcher.ts:209

  #### Parameters

  - ##### value: any

  - ##### func: any

  #### Returns any

Generated using TypeDoc